package com.neusoft.smart.pos.gateway.constants;


/**
 * API服务响应状态码
 * Created by jtao on 17/3/27.
 */
public abstract class ResponseStatusEnum {
    
    public static enum RESPONSE_STATUS {
        
        STATUS_0("0", "检测到有新版本可升级，可下载安装"),
        STATUS_101("101", "当前版本为最新版本，无需升级"),
        STATUS_102("102", "当前终端在OTA配置为无需升级"),
        STATUS_103("103", "检测到有新版本可升级，安装包未准备"),
        STATUS_201("201", "终端上报产品编码不匹配"),
        STATUS_202("202", "终端上报硬件型号编码不匹配"),
        STATUS_203("203", "弃用"),
        STATUS_204("204", " 终端上报OS版本错误"),
        STATUS_205("205", "终端上报固件版本错误"),
        STATUS_206("206", "终端上报serialno错误"),
        STATUS_298("298", "请求json格式错误"),
        STATUS_299("299", " 服务器异常");
        
        
        private String key;
        
        private String value;
        
        RESPONSE_STATUS(String key, String value) {
            this.key = key;
            this.value = value;
        }
        
        public String getValue() {
            return this.value;
        }
        
        public String getKey() {
            return this.key;
        }
        
    }
    
    
}
